#include <bits/stdc++.h>
#define ll long long
#define endl "\n"

//const ll N=  1000000007;

using namespace std;

int main()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n; cin >> n;
for (int i=0; i<3*n; i++)
{
    int bravo; cin >> bravo;
}
for (int i=0; i<n; i++)
    cout << "Ne postoji" << endl;
}